psidump(1)

NAME
psidump - This is an example of a sample man page

SYNOPSIS
psidump [-Vvfi] [-D disk] [-m mount_dir] [-d dump_dir]

DESCRIPTION
psidump is a command to back up files from an EPOC device to your PC. By default, it will only backup those files that have changed since it was last backed up.

All backups are stored in their own separate files, and a directory is maintained which contains the latest version of all files on the system.

OPTIONS

-V  Display the version and exit

-v  Produce verbose logging output.

-f  This option forces a full back up to be done, rather than just backing up the files that have changed since the last backup.

-i  Performs an incremental back up - only backs up the files that have changed since the last backup. This is the default.

-D disk(s)
    Specify the EPOC disks to be backed up. This defaults to the 'C' and be specified for backup (but there probably isn't any need to - unless you plan to do unspeakable things to the insides of your PDA!).

-m mount_dir
    Specify the mount directory. This defaults to the directory specified is your plptools configuration - usually /mnt/epoc.

-d dump_dir
    Specify the dump directory. This defaults to $HOME/epoc/backups.

ENVIRONMENT

$HOME/epoc
    Default directory where configuration and dump information is stored.

$HOME/epoc/etc
    Configuration information about your PDA(s) is stored here.

$HOME/epoc/backups
    All backups are stored under this directory.

FILES
All files that are used are located in $HOME/epoc. The directories are:

$HOME/epoc/etc/plptab
    This file is a table of the different EPOC machines which have connected to this machine. The first entry is the machine id, and the second entry is the machine name. Note that there must be a <tab> between the two fields! Any lines starting with a '#' are comments.

$HOME/epoc/backups
    Executable files

$HOME/epoc/man
    Man pages

AUTHOR
Alain Trembleau <alain@platodesigns.com>

BUGS
Report bugs to bugs@platodesigns.com. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of psidump you are using.

COPYRIGHT
Copyright (C) 2001 Alain Trembleau.

psidump is open source software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

psidump is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with psidump ; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AVAILABILITY
The most recent released version of psidump is always available for anonymous ftp from ftp.platodesigns.com in the directory tools/psidump.